using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace BYLogViewer
{
    public partial class FormBYLogViewer : Form
    {
        enum BYLogActionFlags
        {
            BYLogZoomIn = 5,							// set into zoom in mode
            BYLogZoomOut = 6,							// zoom out to previous level
            BYLogReset = 7,								// reset to original scale
        };
        public FormBYLogViewer()
        {
            InitializeComponent();
            toolStripStatusLabel1.Text = " ";
        }

        private void OnSize(object sender, EventArgs e)
        {
            Size ss = this.ClientSize;
            int height = statusStrip1.Height + menuStrip1.Height + toolBar1.Height;
            ss.Height -= height;
            ss.Width -= 10;
            axBYLog1.Size = ss; 
        }

        private void OnLoad(object sender, EventArgs e)
        {
            Size ss = this.ClientSize;
            int height = statusStrip1.Height + menuStrip1.Height + toolBar1.Height;
            ss.Height -= height;
            ss.Width -= 10;
            axBYLog1.Size = ss; 
        }

        private void OnClickOpen(object sender, EventArgs e)
        {
            if (this.openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                axBYLog1.OpenFile(openFileDialog1.FileName);
                axBYLog1.Redisplay = true;
            }
        }

        private void OnCursorMove(object sender, AxBYLOGLib._DBYLogEvents_CursorMoveEvent e)
        {
            double vv = e.depth;
            string str;

            str = "Curve Name: " + e.strCurveName
                + "  Depth: " + e.depth.ToString("f2");

            toolStripStatusLabel1.Text = str;
        }

        private void OnClickZoomIn(object sender, EventArgs e)
        {
            axBYLog1.Action((int)BYLogActionFlags.BYLogZoomIn);
        }

        private void OnClickZoomOut(object sender, EventArgs e)
        {
            axBYLog1.Action((int)BYLogActionFlags.BYLogZoomOut);
        }

        private void OnClickReset(object sender, EventArgs e)
        {
            axBYLog1.Action((int)BYLogActionFlags.BYLogReset);
        }

        private void OnButtonClickToolBar(object sender, ToolBarButtonClickEventArgs e)
        {
            if (e.Button == Open)
            {
                if (this.openFileDialog1.ShowDialog() == DialogResult.OK)
                {
                    axBYLog1.OpenFile(openFileDialog1.FileName);
                    axBYLog1.Redisplay = true;
                }
            }
            if (e.Button == ZoomIn)
                axBYLog1.Action((int)BYLogActionFlags.BYLogZoomIn);
            if (e.Button == ZoomOut)
                axBYLog1.Action((int)BYLogActionFlags.BYLogZoomOut);
            if (e.Button == Reset)
                axBYLog1.Action((int)BYLogActionFlags.BYLogReset);
        }

    }
}